/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.credentials;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class CredentialProviderService extends android.app.Service {

public CredentialProviderService() { throw new RuntimeException("Stub!"); }

public void onCreate() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public final android.os.IBinder onBind(@android.annotation.NonNull android.content.Intent intent) { throw new RuntimeException("Stub!"); }

public abstract void onBeginGetCredential(@android.annotation.NonNull android.service.credentials.BeginGetCredentialRequest request, @android.annotation.NonNull android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.os.OutcomeReceiver<android.service.credentials.BeginGetCredentialResponse,android.credentials.GetCredentialException> callback);

public abstract void onBeginCreateCredential(@android.annotation.NonNull android.service.credentials.BeginCreateCredentialRequest request, @android.annotation.NonNull android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.os.OutcomeReceiver<android.service.credentials.BeginCreateCredentialResponse,android.credentials.CreateCredentialException> callback);

public abstract void onClearCredentialState(@android.annotation.NonNull android.service.credentials.ClearCredentialStateRequest request, @android.annotation.NonNull android.os.CancellationSignal cancellationSignal, @android.annotation.NonNull android.os.OutcomeReceiver<java.lang.Void,android.credentials.ClearCredentialStateException> callback);

public static final java.lang.String EXTRA_BEGIN_GET_CREDENTIAL_REQUEST = "android.service.credentials.extra.BEGIN_GET_CREDENTIAL_REQUEST";

public static final java.lang.String EXTRA_BEGIN_GET_CREDENTIAL_RESPONSE = "android.service.credentials.extra.BEGIN_GET_CREDENTIAL_RESPONSE";

public static final java.lang.String EXTRA_CREATE_CREDENTIAL_EXCEPTION = "android.service.credentials.extra.CREATE_CREDENTIAL_EXCEPTION";

public static final java.lang.String EXTRA_CREATE_CREDENTIAL_REQUEST = "android.service.credentials.extra.CREATE_CREDENTIAL_REQUEST";

public static final java.lang.String EXTRA_CREATE_CREDENTIAL_RESPONSE = "android.service.credentials.extra.CREATE_CREDENTIAL_RESPONSE";

public static final java.lang.String EXTRA_GET_CREDENTIAL_EXCEPTION = "android.service.credentials.extra.GET_CREDENTIAL_EXCEPTION";

public static final java.lang.String EXTRA_GET_CREDENTIAL_REQUEST = "android.service.credentials.extra.GET_CREDENTIAL_REQUEST";

public static final java.lang.String EXTRA_GET_CREDENTIAL_RESPONSE = "android.service.credentials.extra.GET_CREDENTIAL_RESPONSE";

@android.annotation.SdkConstant(android.annotation.SdkConstant.SdkConstantType.SERVICE_ACTION) public static final java.lang.String SERVICE_INTERFACE = "android.service.credentials.CredentialProviderService";

public static final java.lang.String SERVICE_META_DATA = "android.credentials.provider";
}

